<?xml version="1.0" encoding="GB2312"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:cafx="http://www.cffex.com.cn/tech/cafx/xsd">
    <xs:import namespace="http://www.cffex.com.cn/tech/cafx/xsd" schemaLocation="CommonTypes.xsd"/>
    <xs:element name="configuration">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="components"/>
            </xs:sequence>
            <xs:attribute name="version" type="cafx:FrameworkVersion" use="required"/>
        </xs:complexType>
    </xs:element>
    <xs:element name="components">
        <xs:complexType>
            <xs:sequence>
                <xs:element ref="component" maxOccurs="unbounded"/>
            </xs:sequence>
        </xs:complexType>
    </xs:element>
    <xs:element name="component">
        <xs:complexType>
            <xs:attribute name="id" type="xs:string" use="required"/>
            <xs:attribute name="service" type="xs:string" use="required"/>
            <xs:attribute name="type" type="xs:string" use="required"/>
        </xs:complexType>
    </xs:element>
</xs:schema>
